Suche
Suche Menü

GetBundle Bundle mit neuem TextMate Update

Heute wurde über Nacht ein neues Update für TextMate veröffentlicht.

Wie den Änderungen zu entnehmen ist wurde, unter anderem, auch das SVN Repository für die Bundles umgezogen.

Wer, wie ich, das GetBundle Bundle benutzt um neue Bundles zu installieren kann ganz einfach selbst nachrüsten auf das neue Repo.

  1. Gehe nach Home/Library/Application Support/TextMate/Pristine Copy/Bundles/
  2. Dort findet sich das GetBundle.tmbundle. Rechtsklick und “Paketinhalt zeigen”
  3. Im Ordner @ findet sich eine Datei namens show_bundles.rb diese öffnen.
  4. In Zeile 31 und 51 muss nun das neue Repo eingetragen werden. Also den Text: http://macromates.com/svn/Bundles/trunk/Bundles mit http://svn.textmate.org/trunk/ ersetzen.
  5. Jetzt muss nur noch im Bundle Editor im GetBundle Bundle. Das Command “Install Bundle” editiert werden.
  6. Dort gibt es eine Zeile die beginnt mit: “BASE_URL=”. Dahinter auch die neue Adresse eintragen.

Nach einem Neustart sollte nun alles wieder funktionieren. :)

Hoffentlich wird auch bald das GetBundle Bundle mal wieder geupdated und vom Programmierer selbst auf den neuesten Stand gebracht. Wie sich die “Trailing Slashes” (Slash am Ende der SVN-Adresse) auswirken ist mir derzeit nicht bekannt.

14 Kommentare

  1. Kann man mit TextMate eigentlich auch HTML-Templates (ähnlich wie bei Dreamweaver) erstellen, die sich dann bei Änderung auf ein ganzes Website-Projekt auswirken?

  2. @ Robert:

    Das geht doch ganz einfach über den Style Sheet.

  3. @Tekl: Ohne Bundles am Ende? Hab ich doch. oO

  4. Wo ist da ein Update für Textmate? Weder auf der Website, noch im Blog finde ich etwas darüber?

  5. Kann mir jemand ein gutes Anfängertutorial für TextMate empfehlen?? möchte damit meine Uni-Projekte in C programmieren, fühl mich aber irgendwie noch nicht so heimisch in TextMate, weil ich mich nicht auskenne und von den (angeblich) vielen Features erschlagen werde …

    Danke für jeden Tipp!

  6. Tja, das war wohl etwas zu Cutting Edge, das ganze Update. Bei mir ist es auch nicht verfügbar.

  7. Mein Textmate wurde vor 5 Minuten auf 1.5.8 (1496) aktualisiert. Hab “Cutting Edge” Updates aktiviert.

  8. Ja ganz großes Kino. Warum zum Geier ist ein Srpung von 1.5.7 nach 1.5.8 kein ‘Minor Update’?

  9. Sollte nicht auch schon vor Ewigkeiten TextMate 2 (nur für Leopard…) erscheinen? Gibt’s dazu Neuigkeiten?

Kommentare sind geschlossen.